Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-fencing.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bundle-order-fencing.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-fencing.exp
@@ -1816,6 +1816,42 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="rabbitmq-bundle-2_monitor_0" on_node="controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="32" operation="monitor" operation_key="galera-bundle-0_monitor_0" on_node="controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="33" operation="monitor" operation_key="galera-bundle-2_monitor_0" on_node="controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="34" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="35" operation="monitor" operation_key="redis-bundle-2_monitor_0" on_node="controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="36" operation="monitor" operation_key="rabbitmq-bundle-0_monitor_0" on_node="controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="37" operation="monitor" operation_key="rabbitmq-bundle-1_monitor_0" on_node="controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="38" operation="monitor" operation_key="galera-bundle-0_monitor_0" on_node="controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="39" operation="monitor" operation_key="galera-bundle-1_monitor_0" on_node="controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="40" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="41" operation="monitor" operation_key="redis-bundle-1_monitor_0" on_node="controller-2" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="42" operation="stop" operation_key="rabbitmq-bundle-docker-0_stop_0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-partial-start-2.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bundle-order-partial-start-2.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-partial-start-2.dot
@@ -34,6 +34,7 @@ digraph "g" {
 "galera-bundle_stop_0" [ style=bold color="green" fontcolor="orange"]
 "galera-bundle_stopped_0" -> "galera-bundle_start_0" [ style = bold]
 "galera-bundle_stopped_0" [ style=bold color="green" fontcolor="orange"]
+"galera:0_monitor_0 galera-bundle-0" -> "all_stopped" [ style = bold]
 "galera:0_monitor_0 galera-bundle-0" -> "galera-bundle-master_start_0" [ style = bold]
 "galera:0_monitor_0 galera-bundle-0" [ style=bold color="green" fontcolor="black"]
 "galera:0_monitor_20000 galera-bundle-0" [ style=bold color="green" fontcolor="black"]
@@ -42,6 +43,7 @@ digraph "g" {
 "galera:0_start_0 galera-bundle-0" -> "galera:0_monitor_20000 galera-bundle-0" [ style = bold]
 "galera:0_start_0 galera-bundle-0" -> "galera:0_monitor_30000 galera-bundle-0" [ style = bold]
 "galera:0_start_0 galera-bundle-0" [ style=bold color="green" fontcolor="black"]
+"haproxy-bundle-docker-0_monitor_0 undercloud" -> "all_stopped" [ style = bold]
 "haproxy-bundle-docker-0_monitor_0 undercloud" -> "haproxy-bundle-docker-0_start_0 undercloud" [ style = bold]
 "haproxy-bundle-docker-0_monitor_0 undercloud" [ style=bold color="green" fontcolor="black"]
 "haproxy-bundle-docker-0_monitor_60000 undercloud" [ style=bold color="green" fontcolor="black"]
@@ -72,6 +74,7 @@ digraph "g" {
 "rabbitmq-bundle_running_0" [ style=bold color="green" fontcolor="orange"]
 "rabbitmq-bundle_start_0" -> "rabbitmq-bundle-clone_start_0" [ style = bold]
 "rabbitmq-bundle_start_0" [ style=bold color="green" fontcolor="orange"]
+"rabbitmq:0_monitor_0 rabbitmq-bundle-0" -> "all_stopped" [ style = bold]
 "rabbitmq:0_monitor_0 rabbitmq-bundle-0" -> "rabbitmq-bundle-clone_start_0" [ style = bold]
 "rabbitmq:0_monitor_0 rabbitmq-bundle-0" [ style=bold color="green" fontcolor="black"]
 "rabbitmq:0_monitor_10000 rabbitmq-bundle-0" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-partial-start-2.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bundle-order-partial-start-2.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-partial-start-2.exp
@@ -610,6 +610,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="galera:0_monitor_0" on_node="galera-bundle-0" on_node_uuid="galera-bundle-0" router_node="undercloud"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="rabbitmq:0_monitor_0" on_node="rabbitmq-bundle-0" on_node_uuid="rabbitmq-bundle-0" router_node="undercloud"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="haproxy-bundle-docker-0_monitor_0" on_node="undercloud" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
         <rsc_op id="40" operation="stop" operation_key="galera-bundle-docker-0_stop_0" on_node="undercloud" on_node_uuid="1"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-stop-clone.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bundle-order-stop-clone.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-stop-clone.dot
@@ -1,7 +1,9 @@
 digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
+"galera-bundle-0_monitor_0 metal-2" -> "all_stopped" [ style = bold]
 "galera-bundle-0_monitor_0 metal-2" -> "galera-bundle-0_start_0 metal-1" [ style = dashed]
 "galera-bundle-0_monitor_0 metal-2" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-0_monitor_0 metal-3" -> "all_stopped" [ style = bold]
 "galera-bundle-0_monitor_0 metal-3" -> "galera-bundle-0_start_0 metal-1" [ style = dashed]
 "galera-bundle-0_monitor_0 metal-3" [ style=bold color="green" fontcolor="black"]
 "galera-bundle-0_monitor_30000 metal-1" [ style=dashed color="red" fontcolor="black"]
@@ -14,9 +16,13 @@ digraph "g" {
 "galera-bundle-0_stop_0 metal-1" -> "galera-bundle-0_start_0 metal-1" [ style = dashed]
 "galera-bundle-0_stop_0 metal-1" -> "galera-bundle-docker-0_stop_0 metal-1" [ style = bold]
 "galera-bundle-0_stop_0 metal-1" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-1_monitor_0 metal-1" -> "all_stopped" [ style = bold]
 "galera-bundle-1_monitor_0 metal-1" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-1_monitor_0 metal-3" -> "all_stopped" [ style = bold]
 "galera-bundle-1_monitor_0 metal-3" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-2_monitor_0 metal-1" -> "all_stopped" [ style = bold]
 "galera-bundle-2_monitor_0 metal-1" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-2_monitor_0 metal-2" -> "all_stopped" [ style = bold]
 "galera-bundle-2_monitor_0 metal-2" [ style=bold color="green" fontcolor="black"]
 "galera-bundle-docker-0_stop_0 metal-1" -> "all_stopped" [ style = bold]
 "galera-bundle-docker-0_stop_0 metal-1" -> "galera-bundle_stopped_0" [ style = bold]
@@ -53,11 +59,17 @@ digraph "g" {
 "galera:0_stop_0 galera-bundle-0" -> "galera-bundle-master_stopped_0" [ style = bold]
 "galera:0_stop_0 galera-bundle-0" -> "galera:0_start_0 galera-bundle-0" [ style = dashed]
 "galera:0_stop_0 galera-bundle-0" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-0_monitor_0 metal-2" -> "all_stopped" [ style = bold]
 "redis-bundle-0_monitor_0 metal-2" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-0_monitor_0 metal-3" -> "all_stopped" [ style = bold]
 "redis-bundle-0_monitor_0 metal-3" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-1_monitor_0 metal-1" -> "all_stopped" [ style = bold]
 "redis-bundle-1_monitor_0 metal-1" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-1_monitor_0 metal-3" -> "all_stopped" [ style = bold]
 "redis-bundle-1_monitor_0 metal-3" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-2_monitor_0 metal-1" -> "all_stopped" [ style = bold]
 "redis-bundle-2_monitor_0 metal-1" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-2_monitor_0 metal-2" -> "all_stopped" [ style = bold]
 "redis-bundle-2_monitor_0 metal-2" [ style=bold color="green" fontcolor="black"]
 "storage-clone_confirmed-post_notify_stopped_0" -> "all_stopped" [ style = bold]
 "storage-clone_confirmed-post_notify_stopped_0" [ style=bold color="green" fontcolor="orange"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-stop-clone.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bundle-order-stop-clone.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-stop-clone.exp
@@ -434,6 +434,42 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="29" operation="monitor" operation_key="galera-bundle-1_monitor_0" on_node="metal-1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="galera-bundle-2_monitor_0" on_node="metal-1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="redis-bundle-1_monitor_0" on_node="metal-1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="32" operation="monitor" operation_key="redis-bundle-2_monitor_0" on_node="metal-1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="33" operation="monitor" operation_key="galera-bundle-0_monitor_0" on_node="metal-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="34" operation="monitor" operation_key="galera-bundle-2_monitor_0" on_node="metal-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="35" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="metal-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="36" operation="monitor" operation_key="redis-bundle-2_monitor_0" on_node="metal-2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="37" operation="monitor" operation_key="galera-bundle-0_monitor_0" on_node="metal-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="38" operation="monitor" operation_key="galera-bundle-1_monitor_0" on_node="metal-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="39" operation="monitor" operation_key="redis-bundle-0_monitor_0" on_node="metal-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="40" operation="monitor" operation_key="redis-bundle-1_monitor_0" on_node="metal-3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
         <rsc_op id="41" operation="stop" operation_key="storage:0_stop_0" on_node="metal-1" on_node_uuid="1"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-stop-on-remote.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bundle-order-stop-on-remote.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-stop-on-remote.dot
@@ -18,6 +18,7 @@ digraph "g" {
 "database-2_start_0 controller-1" -> "galera-bundle-docker-2_start_0 database-2" [ style = bold]
 "database-2_start_0 controller-1" -> "galera-bundle-docker-2_stop_0 database-2" [ style = bold]
 "database-2_start_0 controller-1" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-0_monitor_0 controller-1" -> "all_stopped" [ style = bold]
 "galera-bundle-0_monitor_0 controller-1" -> "galera-bundle-0_start_0 controller-0" [ style = bold]
 "galera-bundle-0_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
 "galera-bundle-0_monitor_30000 controller-0" [ style=bold color="green" fontcolor="black"]
@@ -27,6 +28,7 @@ digraph "g" {
 "galera-bundle-0_start_0 controller-0" -> "galera_start_0 galera-bundle-0" [ style = bold]
 "galera-bundle-0_start_0 controller-0" [ style=bold color="green" fontcolor="black"]
 "galera-bundle-1_monitor_30000 controller-2" [ style=bold color="green" fontcolor="black"]
+"galera-bundle-2_monitor_0 controller-1" -> "all_stopped" [ style = bold]
 "galera-bundle-2_monitor_0 controller-1" -> "galera-bundle-2_start_0 controller-1" [ style = bold]
 "galera-bundle-2_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
 "galera-bundle-2_monitor_30000 controller-1" [ style=bold color="green" fontcolor="black"]
@@ -179,6 +181,7 @@ digraph "g" {
 "rabbitmq-bundle-1_monitor_30000 controller-2" [ style=bold color="green" fontcolor="black"]
 "rabbitmq-bundle-2_monitor_30000 controller-2" [ style=bold color="green" fontcolor="black"]
 "redis-bundle-0_monitor_30000 controller-0" [ style=bold color="green" fontcolor="black"]
+"redis-bundle-1_monitor_0 controller-1" -> "all_stopped" [ style = bold]
 "redis-bundle-1_monitor_0 controller-1" -> "redis-bundle-1_start_0 controller-1" [ style = bold]
 "redis-bundle-1_monitor_0 controller-1" [ style=bold color="green" fontcolor="black"]
 "redis-bundle-1_monitor_30000 controller-1" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-stop-on-remote.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/bundle-order-stop-on-remote.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/bundle-order-stop-on-remote.exp
@@ -1696,6 +1696,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="35" operation="monitor" operation_key="galera-bundle-0_monitor_0" on_node="controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="36" operation="monitor" operation_key="galera-bundle-2_monitor_0" on_node="controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="37" operation="monitor" operation_key="redis-bundle-1_monitor_0" on_node="controller-1" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="87" operation="stop" operation_key="galera-bundle-docker-0_stop_0" on_node="database-0" on_node_uuid="database-0" router_node="controller-0"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/clone-anon-dup.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/clone-anon-dup.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/clone-anon-dup.dot
@@ -12,10 +12,13 @@ digraph "g" {
 "group_webservice:2_stop_0" [ style=bold color="green" fontcolor="orange" ]
 "group_webservice:2_stopped_0" -> "clone_webservice_stopped_0" [ style = bold]
 "group_webservice:2_stopped_0" [ style=bold color="green" fontcolor="orange" ]
+"stonith-1_monitor_0 wc01" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 wc01" -> "stonith-1_start_0 wc01" [ style = bold]
 "stonith-1_monitor_0 wc01" [ style=bold color="green" fontcolor="black" ]
+"stonith-1_monitor_0 wc02" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 wc02" -> "stonith-1_start_0 wc01" [ style = bold]
 "stonith-1_monitor_0 wc02" [ style=bold color="green" fontcolor="black" ]
+"stonith-1_monitor_0 wc03" -> "all_stopped" [ style = bold]
 "stonith-1_monitor_0 wc03" -> "stonith-1_start_0 wc01" [ style = bold]
 "stonith-1_monitor_0 wc03" [ style=bold color="green" fontcolor="black" ]
 "stonith-1_start_0 wc01" [ style=bold color="green" fontcolor="black" ]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/clone-anon-dup.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/clone-anon-dup.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/clone-anon-dup.exp
@@ -116,6 +116,15 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="stonith-1_monitor_0" on_node="wc01" on_node_uuid="31de4ab3-2d05-476e-8f9a-627ad6cd94ca"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="stonith-1_monitor_0" on_node="wc02" on_node_uuid="f36760d8-d84a-46b2-b452-4c8cac8b3396"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="stonith-1_monitor_0" on_node="wc03" on_node_uuid="f61edb1d-6f49-4ffa-a46a-42ceef796f6e"/>
+      </trigger>
+      <trigger>
         <rsc_op id="26" operation="stop" operation_key="apache2:0_stop_0" internal_operation_key="apache2:2_stop_0" on_node="wc02" on_node_uuid="f36760d8-d84a-46b2-b452-4c8cac8b3396"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/clone-no-shuffle.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/clone-no-shuffle.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/clone-no-shuffle.exp
@@ -228,6 +228,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="testip_monitor_0" on_node="dktest1sles10" on_node_uuid="c563f60c-45a8-439e-85dc-645f4ecc150d"/>
+      </trigger>
+      <trigger>
         <pseudo_event id="34" operation="notified" operation_key="ms-drbd1_confirmed-pre_notify_demote_0"/>
        </trigger>
        <trigger>
@@ -297,6 +300,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="drbd1:1_monitor_0" on_node="dktest1sles10" on_node_uuid="c563f60c-45a8-439e-85dc-645f4ecc150d"/>
+      </trigger>
+      <trigger>
         <rsc_op id="10" operation="stop" operation_key="drbd1:0_stop_0" on_node="dktest2sles10" on_node_uuid="6676c8d5-552e-4a86-a2ea-172e954f7342"/>
        </trigger>
       <trigger>
@@ -438,6 +444,18 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="stonith-1_monitor_0" on_node="dktest1sles10" on_node_uuid="c563f60c-45a8-439e-85dc-645f4ecc150d"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="drbd1:1_monitor_0" on_node="dktest1sles10" on_node_uuid="c563f60c-45a8-439e-85dc-645f4ecc150d"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="testip_monitor_0" on_node="dktest1sles10" on_node_uuid="c563f60c-45a8-439e-85dc-645f4ecc150d"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="stonith-1_monitor_0" on_node="dktest2sles10" on_node_uuid="6676c8d5-552e-4a86-a2ea-172e954f7342"/>
+      </trigger>
+      <trigger>
         <rsc_op id="10" operation="stop" operation_key="drbd1:0_stop_0" on_node="dktest2sles10" on_node_uuid="6676c8d5-552e-4a86-a2ea-172e954f7342"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group10.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/group10.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group10.dot
@@ -28,14 +28,23 @@
 "child_192.168.100.183_stop_0 c001n01" -> "child_192.168.100.183_start_0 c001n01" [ style = bold]
 "child_192.168.100.183_stop_0 c001n01" -> "group-1_stopped_0" [ style = bold]
 "child_192.168.100.183_stop_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:1_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "child_DoFencing:1_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:1_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "child_DoFencing:1_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:1_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "child_DoFencing:1_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:2_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:2_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:2_monitor_0 c001n08" -> "all_stopped" [ style = bold]
 "child_DoFencing:2_monitor_0 c001n08" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 c001n01" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n01" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 c001n02" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n02" [ style=bold color="green" fontcolor="black" ]
+"child_DoFencing:3_monitor_0 c001n03" -> "all_stopped" [ style = bold]
 "child_DoFencing:3_monitor_0 c001n03" [ style=bold color="green" fontcolor="black" ]
 "group-1_running_0" [ style=bold color="green" fontcolor="orange" ]
 "group-1_start_0" -> "child_192.168.100.181_start_0 c001n01" [ style = bold]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group10.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/group10.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group10.exp
@@ -291,6 +291,33 @@
         <rsc_op id="13" operation="stop" operation_key="child_192.168.100.181_stop_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
        </trigger>
        <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n02" on_node_uuid="e9bdfde9-01b0-421f-acd8-8a65a53e775f"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="child_DoFencing:3_monitor_0" on_node="c001n03" on_node_uuid="5d9a8c11-8684-43ea-91.0.6e221530c193"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="child_DoFencing:1_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="23" operation="monitor" operation_key="child_DoFencing:2_monitor_0" on_node="c001n08" on_node_uuid="6427cb5a-c7a5-4bdf-9892-a04ce56f4e6b"/>
+      </trigger>
+      <trigger>
         <rsc_op id="27" operation="stop" operation_key="child_192.168.100.182_stop_0" on_node="c001n01" on_node_uuid="de937e3d-0309-4b5d-b85c-f96edc1ed8e3"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group5.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/group5.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group5.exp
@@ -45,6 +45,15 @@
     </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="9" operation="stop" operation_key="child_rsc1_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -66,6 +75,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="19" operation="stop" operation_key="rsc3_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
      </inputs>
@@ -134,6 +146,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="11" operation="stop" operation_key="child_rsc2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -181,6 +196,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="13" operation="stop" operation_key="child_rsc3_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -286,6 +304,21 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="7" operation="stop" operation_key="rsc1_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group6.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/group6.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/group6.exp
@@ -7,6 +7,15 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="8" operation="stop" operation_key="child_rsc1_stop_0" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
@@ -93,6 +102,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="10" operation="stop" operation_key="child_rsc2_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -140,6 +152,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="12" operation="stop" operation_key="child_rsc3_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -208,6 +223,15 @@
     </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="child_rsc4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="child_rsc5_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="child_rsc6_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="18" operation="stop" operation_key="child_rsc4_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -293,6 +317,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="child_rsc5_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="20" operation="stop" operation_key="child_rsc5_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -340,6 +367,9 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="child_rsc6_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="22" operation="stop" operation_key="child_rsc6_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
@@ -408,6 +438,24 @@
      </action_set>
      <inputs>
        <trigger>
+        <rsc_op id="2" operation="monitor" operation_key="child_rsc1_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="child_rsc2_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="child_rsc3_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="child_rsc4_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="child_rsc5_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="child_rsc6_monitor_0" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
         <rsc_op id="8" operation="stop" operation_key="child_rsc1_stop_0" on_node="node1" on_node_uuid="uuid1"/>
        </trigger>
        <trigger>
